{% extends 'base.html.twig' %}

{% block title %}{{parent()}} Pièces{% endblock %}

{% block body %}

<h1 class="mb-4 display-1">Pièces</h1>

<h1 class="display-5 mb-4">
  {{criteria}}
</h1>

<table id="datatable" class="table table-striped display">
  <thead>
    <tr>
      <th class="sorting" scope="col">Titre</th>
      <th class="sorting" scope="col">Créateur</th>
      <th class="sorting" scope="col">Première représentation</th>
    </tr>
  </thead>
  <tbody>
  {% for script in scripts %}
    <tr>
      <td scope="col">
        <a href="{{path('script', {id: script.id})}}">
          <i>{{script.title}} {{script.subtitle}}</i>
        </a>
      </td>
      <td scope="col">
        {% if script.creators is not empty %}
            {% for creator in script.creators %}
                  {{creator.person.firstname}} {{creator.person.lastname}} 
                  {{ not loop.last ? ', ' }}
            {% endfor %}
        {% endif %}
      </td>
      <td scope="col">
        {% if script.performances is not empty %}
                {% set firstRep = script.performances|sort((a, b) => a.start <=> b.start)|first %}
                {{interval(firstRep.start, firstRep.end)}}
        {% endif %}
      </td>
    </tr>
  {% endfor %}
  </tbody>
</table>

{% endblock %}
